## vte2.91 0.60.3

=== meson_options.txt ===
# Copyright © 2018, 2019 Iñigo Martínez
#
# This library is free software; you can redistribute it and/or modify it
# under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; either version 3 of the License, or (at your
# option) any later version.
#
# This library is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser
# General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this library.  If not, see <https://www.gnu.org/licenses/>.

# This option allows you to disable -Bsymbolic-functions if your linker
# doesn't support it.
option(
  '_b_symbolic_functions',
  type: 'boolean',
  value: true,
  description: 'Use -Bsymbolic-functions',
)

option(
  'a11y',
  type: 'boolean',
  value: true,
  description: 'Enable a11y',
)

option(
  'debugg', # for some reason, 'debug' is "reserved"
  type: 'boolean',
  value: false,
  description: 'Enable extra debugging functionality',
)

option(
  'docs',
  type: 'boolean',
  value: false,
  description: 'Enable documentation',
)

option(
  'gir',
  type: 'boolean',
  value: true,
  description: 'Enable GObject Introspection',
)

option(
  'fribidi',
  type: 'boolean',
  value: true,
  description: 'Enable FriBidi support',
)

option(
  'gnutls',
  type: 'boolean',
  value: true,
  description: 'Enable GNUTLS support',
)

option(
  'gtk3',
  type: 'boolean',
  value: true,
  description: 'Enable GTK+ 3.0 widget',
)

option(
  'gtk4',
  type: 'boolean',
  value: false,
  description: 'Enable GTK+ 4.0 widget',
)

option(
  'icu',
  type: 'boolean',
  value: true,
  description: 'Enable legacy charset support using ICU',
)

option(
  '_systemd',
  type: 'boolean',
  value: true,
  description: 'Enable systemd support',
)

option(
  'vapi', # would use 'vala' but that name is reserved
  type: 'boolean',
  value: true,
  description: 'Enable Vala bindings',
)

=== debian/changelog ===
vte2.91 (0.60.3-0ubuntu1~20.5) focal-security; urgency=medium

  * SECURITY UPDATE: DoS via window resize escape sequences
    - debian/patches/CVE-2024-37535-1.patch: Restrict resize request to
      sane numbers in src/vteseq.cc.
    - debian/patches/CVE-2024-37535-2.patch: add safety limit to widget
      size requests in src/vtegtk.cc.
    - CVE-2024-37535

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 12 Jun 2024 10:33:05 -0400

vte2.91 (0.60.3-0ubuntu1~20.04) focal; urgency=medium

  * No-change backport from groovy to focal. (LP: #1883015)

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 11 Jun 2020 13:44:25 -0400

vte2.91 (0.60.2-1) unstable; urgency=medium

  * Team upload
  * New upstream stable release

 -- Simon McVittie <smcv@debian.org>  Thu, 30 Apr 2020 17:56:59 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: vte2.91
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-sequence-gnome,
               dh-sequence-gir,
               gettext,
               gtk-doc-tools,
               libgirepository1.0-dev (>= 0.9.12),
               libglib2.0-dev (>= 2.52.0),
               libgnutls28-dev (>= 3.2.7),
               libgtk-3-dev (>= 3.20),
               libicu-dev,
               libpango1.0-dev (>= 1.22.0),
               libpcre2-dev (>= 10.21),
               libsystemd-dev (>= 220) [linux-any],
               libxml2-utils,
               meson (>= 0.50.0),
               valac (>= 0.31.1)
Rules-Requires-Root: no
Build-Depends-Indep: libatk1.0-doc <!nodoc>,
                     libglib2.0-doc <!nodoc>,
                     libgtk-3-doc <!nodoc>
Standards-Version: 4.5.0
XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/vte2.91.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/vte2.91
Vcs-Browser: https://salsa.debian.org/gnome-team/vte2.91
Vcs-Git: https://salsa.debian.org/gnome-team/vte2.91.git
Homepage: https://wiki.gnome.org/Apps/Terminal/VTE

Package: libvte-2.91-0
Architecture: any
Depends: libvte-2.91-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: Terminal emulator widget for GTK+ 3.0 - runtime files
 The VTE library provides a terminal emulator widget VteTerminal for
 applications using the GTK+ toolkit. It also provides the VtePTY object
 containing functions for starting a new process on a new
 pseudo-terminal and for manipulating pseudo-terminals.
 .
 This package contains the runtime library, needed by programs using the
 VTE widget with GTK+ 3.0.

Package: libvte-2.91-0-udeb
Package-Type: udeb
Build-Profiles: <!noudeb>
Section: debian-installer
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Terminal emulator widget for GTK+ 3.0 - minimal runtime
 The VTE library provides a terminal emulator widget VteTerminal for
 applications using the GTK+ toolkit. It also provides the VtePTY object
 containing functions for starting a new process on a new
 pseudo-terminal and for manipulating pseudo-terminals.
 .
 This package contains the minimal runtime library for GTK+ 3.0 needed
 by the Debian installer.

Package: gir1.2-vte-2.91
Architecture: any
Section: introspection
Depends: ${gir:Depends},
         ${misc:Depends}
Multi-Arch: same
Description: GObject introspection data for the VTE library
 This package contains introspection data for VTE, a terminal emulator
 widget for GTK+.
 .
 It can be used by interpreters understanding the GIRepository format to
 write programs using the VTE widget for GTK+ 3.0.

Package: libvte-2.91-dev
Architecture: any
Section: libdevel
Depends: gir1.2-vte-2.91 (= ${binary:Version}),
         libglib2.0-dev (>= 2.40.0),
         libgnutls28-dev (>= 3.2.7),
         libgtk-3-dev (>= 3.12.0),
         libpango1.0-dev (>= 1.22.0),
         libpcre2-dev (>= 10.21),
         libvte-2.91-0 (= ${binary:Version}),
         libvte-2.91-common,
         zlib1g-dev,
         ${misc:Depends}
Recommends: libvte-2.91-doc
Conflicts: libvte-2.90-dev
Multi-Arch: same
Description: Terminal emulator widget for GTK+ 3.0 - development files
 The VTE library provides a terminal emulator widget VteTerminal for
 applications using the GTK+ toolkit. It also provides the VtePTY object
 containing functions for starting a new process on a new
 pseudo-terminal and for manipulating pseudo-terminals.
 .
 This package contains development files for the VTE library and its
 Python bindings. It is needed to develop and build programs using the
 VTE widget with GTK+ 3.0.

Package: libvte-2.91-common
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libvte-2.91-0 (<= 0.60.0-2ubuntu1)
Breaks: libvte-2.91-0 (<= 0.60.0-2ubuntu1)
Multi-Arch: foreign
Description: Terminal emulator widget for GTK+ 3.0 - common files
 The VTE library provides a terminal emulator widget VteTerminal for
 applications using the GTK+ toolkit. It also provides the VtePTY object
 containing functions for starting a new process on a new
 pseudo-terminal and for manipulating pseudo-terminals.
 .
 This package contains internationalization files for the VTE library
 and common files for the GTK+ 3.x version.

Package: libvte-2.91-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Build-Profiles: <!nodoc>
Description: Terminal emulator widget for GTK+ 3.0 - documentation
 The VTE library provides a terminal emulator widget VteTerminal for
 applications using the GTK+ toolkit. It also provides the VtePTY object
 containing functions for starting a new process on a new
 pseudo-terminal and for manipulating pseudo-terminals.
 .
 This package contains documentation files for the VTE library for GTK+
 3.x.

=== debian/rules ===
#!/usr/bin/make -f

binaries := $(shell dh_listpackages)
LIB_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libvte-[0-9\.-]+)[[:space:]]*$$/\1/p' debian/control)
UDEB_PKG := $(LIB_PKG)-udeb

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@

CONFFLAGS_deb = \
	-Ddocs=true \
	-Dgir=true \
	-Dgnutls=true

CONFFLAGS_udeb = \
	-Ddocs=false \
	-Dgir=false \
	-Dgnutls=false \
	-Dvapi=false \
	-D_systemd=false

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build-deb -- $(CONFFLAGS_deb)
ifneq ($(filter %-udeb,$(binaries)),)
	dh_auto_configure --builddirectory=build-udeb -- $(CONFFLAGS_udeb)
endif

override_dh_auto_build:
	dh_auto_build --builddirectory=build-deb
ifneq ($(filter %-udeb,$(binaries)),)
	dh_auto_build --builddirectory=build-udeb
endif

override_dh_auto_install:
	dh_auto_install --builddirectory=build-deb \
		--destdir=debian/tmp/deb
	rm debian/tmp/deb/usr/bin/vte-2.91
ifneq ($(filter %-udeb,$(binaries)),)
	dh_auto_install --builddirectory=build-udeb \
		--destdir=debian/tmp/udeb
	rm debian/tmp/udeb/usr/bin/vte-2.91
	rm debian/tmp/udeb/usr/libexec/vte-urlencode-cwd
endif
	mv debian/tmp/deb/etc/profile.d/vte.sh \
		debian/tmp/deb/etc/profile.d/vte-2.91.sh

override_dh_auto_clean:
	dh_auto_clean --builddirectory=build-deb
ifneq ($(filter %-udeb,$(binaries)),)
	dh_auto_clean --builddirectory=build-udeb
endif

override_dh_clean:
	rm -f debian/libvte-2.91-common.install.kfreebsd
	rm -f debian/libvte-2.91-common.install.hurd
	dh_clean

override_dh_auto_test:
	dh_auto_test --builddirectory=build-deb

override_dh_makeshlibs:
	dh_makeshlibs -p$(LIB_PKG) --add-udeb=$(UDEB_PKG) -V -- -c4
	dh_makeshlibs --remaining-packages

override_dh_install:
	grep -E -v 'lib/systemd' debian/libvte-2.91-common.install > debian/libvte-2.91-common.install.kfreebsd
	grep -E -v 'lib/systemd' debian/libvte-2.91-common.install > debian/libvte-2.91-common.install.hurd
ifneq ($(filter %-udeb,$(binaries)),)
	dh_install -p$(UDEB_PKG) --sourcedir=debian/tmp/udeb
endif
	dh_install --remaining-packages --sourcedir=debian/tmp/deb

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=4
https://download.gnome.org/sources/vte/([\d\.]+[02468])/ \
	vte@ANY_VERSION@@ARCHIVE_EXT@

## vte2.91 0.62.0

=== debian/changelog ===
vte2.91 (0.62.0-1ubuntu1) groovy; urgency=medium

  * Merge with debian. Remaining changes:
    - Add 91_keep_fds.patch since gdebi still requires it (LP: #1756238)
    - 0001-Add-the-style-context-provider-with-FALLBACK-priorit.patch:
      + Keep as it is required for the Ubuntu theming
    - Breaks/Replaces with libvte-2.91-0 (<= 0.60.0-2ubuntu1)
    - Ubuntu gbp.conf and debian/control VCS informations
  * debian/control: Don't build-depend on libicu-dev:
    - This is an optional dependency and we explicitly disable it in rules, so
      does debian, so let's not diverge here.
  * d/p/0001-Add-the-style-context-provider-with-FALLBACK-priorit.patch:
    - Add clarification about why this is needed
  * d/p/91_keep_fds.patch:
    - Refactor as per upstream spawning system changes, fixes issue causing
      some FDs not to be non-closed at all.
    - Clarify what this is needed for

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 22 Sep 2020 20:37:48 +0200

vte2.91 (0.62.0-1) unstable; urgency=medium

  * Team upload
  * d/watch: Watch for git tags, not for upstream tarball releases.
    The upstream maintainer of vte does not always upload tarballs to
    download.gnome.org.
  * New upstream stable release
    - Translation updates
    - Fix ABI regression (previously avoided in Debian via a patch)
  * Drop patch, applied upstream
  * d/watch: Only watch for stable (even-numbered) releases
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Mon, 14 Sep 2020 10:11:37 +0100

vte2.91 (0.61.91-1) experimental; urgency=medium

  * Team upload
  * d/watch: Watch for development versions
  * New upstream release
  * Drop patch 01_scroll_notebook.patch.
    This never went upstream, and is intended to work with a corresponding
    patch in GTK 3 that was rejected upstream and disabled in Debian's
    GTK packaging in 2012.
  * Don't install NEWS, no longer provided
  * Disable icu support for the udeb
  * Build udeb with -static-libgcc -static-libstdc++
    There's no libstdc++ udeb, and vte exports a C ABI but is C++ internally,
    so this might be a way to make the udeb installable.
  * Add proposed patch to revert an ABI break
  * Update symbols file

 -- Simon McVittie <smcv@debian.org>  Thu, 03 Sep 2020 12:23:17 +0100

vte2.91 (0.60.3-1) unstable; urgency=medium

  * New upstream stable release

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 11 Jun 2020 23:31:10 +0200

vte2.91 (0.60.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (LP: #1883015)

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 11 Jun 2020 13:44:25 -0400

vte2.91 (0.60.2-1ubuntu1) groovy; urgency=medium

  * Merge with debian. Remaining changes:
    - Add 91_keep_fds.patch since gdebi still requires it (LP: #1756238)
    - 0001-Add-the-style-context-provider-with-FALLBACK-priorit.patch:
      + Keep as it is required for the Ubuntu theming

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 10 Jun 2020 16:07:20 -0400

=== debian/control ===
--- 
+++ 
@@ -16,8 +16,7 @@
                libgirepository1.0-dev (>= 0.9.12),
                libglib2.0-dev (>= 2.52.0),
                libgnutls28-dev (>= 3.2.7),
-               libgtk-3-dev (>= 3.20),
-               libicu-dev,
+               libgtk-3-dev (>= 3.24.22),
                libpango1.0-dev (>= 1.22.0),
                libpcre2-dev (>= 10.21),
                libsystemd-dev (>= 220) [linux-any],

## vte2.91 0.62.3

=== debian/changelog ===
vte2.91 (0.62.3-1.0nosystemd2) nosystemd; urgency=medium

  * test 

 -- root <root@mx1>  Thu, 18 Nov 2021 08:12:19 -0500

vte2.91 (0.62.3-1.0nosystemd1) nosystemd; urgency=medium

  * remove hard dependency on libsystemd0/libelogind0

 -- anticapitalista <anticap@operamail.com>  Fri, 12 Nov 2021 06:51:09 -0500

vte2.91 (0.62.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Use int8_t instead of ssize_t for length of short keymap strings
  * Drop patches that were applied upstream
  * d/gbp.conf: Use upstream/0.62.x branch for new imports from upstream.
    0.63.x releases have already happened.

 -- Simon McVittie <smcv@debian.org>  Wed, 17 Feb 2021 21:05:29 +0000

vte2.91 (0.62.2-1) unstable; urgency=medium

  * Team upload

  [ Iain Lane ]
  * d/p/Allow-background-color-and-color-on-VteTerminal-widgets-t.patch:
    - Allow VteTerminal style customization via the theme.

  [ Simon McVittie ]
  * New upstream release
  * Refresh patch series
  * d/patches: Apply post-release commits from vte-0-62 branch
  * d/copyright: Update
  * Standards-Version: 4.5.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Wed, 27 Jan 2021 22:02:50 +0000

vte2.91 (0.62.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Drop patches that were applied upstream

 -- Simon McVittie <smcv@debian.org>  Mon, 02 Nov 2020 10:26:13 +0000

vte2.91 (0.62.0-3) unstable; urgency=medium

  * Team upload
  * d/p/vte.sh-Avoid-warnings-if-shell-is-configured-with-set-u.patch:
  * Add patch to fix warnings in shells that use 'set -u'.
    Thanks to Marko Mäkelä (Closes: #941247)
  * d/p/lib-Abort-when-alloc-returns-nullptr.patch:
    Add patch from upstream to make out-of-memory handling more consistent
  * d/p/gtk-Allow-passing-null-callback-to-spawn_async.patch:
    Add patch from upstream to fix a regression in mssh (Closes: #971422)

 -- Simon McVittie <smcv@debian.org>  Wed, 30 Sep 2020 16:04:28 +0100

vte2.91 (0.62.0-2) unstable; urgency=medium

  * Team upload
  * d/p/widget-Define-text_view_bg-in-fallback-CSS-if-the-theme-d.patch:
    Add patch to work around themes that don't define @text_view_bg.
    Note that upstream considers this to be a workaround, and it is likely
    to be reverted in vte 0.63.x post-bullseye - please update third-party
    themes accordingly. (Closes: #970664)
  * d/upstream/metadata: Add

 -- Simon McVittie <smcv@debian.org>  Sun, 27 Sep 2020 20:46:51 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Source: vte2.91
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-sequence-gnome,
@@ -19,7 +18,6 @@
                libgtk-3-dev (>= 3.24.22),
                libpango1.0-dev (>= 1.22.0),
                libpcre2-dev (>= 10.21),
-               libsystemd-dev (>= 220) [linux-any],
                libxml2-utils,
                meson (>= 0.50.0),
                valac (>= 0.31.1)
@@ -27,18 +25,14 @@
 Build-Depends-Indep: libatk1.0-doc <!nodoc>,
                      libglib2.0-doc <!nodoc>,
                      libgtk-3-doc <!nodoc>
-Standards-Version: 4.5.0
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/vte2.91.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/vte2.91
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/vte2.91
 Vcs-Git: https://salsa.debian.org/gnome-team/vte2.91.git
 Homepage: https://wiki.gnome.org/Apps/Terminal/VTE
 
 Package: libvte-2.91-0
 Architecture: any
-Depends: libvte-2.91-common (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: libvte-2.91-common
 Multi-Arch: same
 Description: Terminal emulator widget for GTK+ 3.0 - runtime files
  The VTE library provides a terminal emulator widget VteTerminal for
@@ -107,8 +101,6 @@
 Package: libvte-2.91-common
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Replaces: libvte-2.91-0 (<= 0.60.0-2ubuntu1)
-Breaks: libvte-2.91-0 (<= 0.60.0-2ubuntu1)
 Multi-Arch: foreign
 Description: Terminal emulator widget for GTK+ 3.0 - common files
  The VTE library provides a terminal emulator widget VteTerminal for

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
+include /usr/share/dpkg/default.mk
 
 %:
 	dh $@
@@ -13,18 +14,23 @@
 CONFFLAGS_deb = \
 	-Ddocs=true \
 	-Dgir=true \
-	-Dgnutls=true
+	-Dgnutls=true \
+        -D_systemd=false
+
 
 CONFFLAGS_udeb = \
 	-Ddocs=false \
 	-Dgir=false \
 	-Dgnutls=false \
+	-Dicu=false \
 	-Dvapi=false \
 	-D_systemd=false
 
 override_dh_auto_configure:
 	dh_auto_configure --builddirectory=build-deb -- $(CONFFLAGS_deb)
 ifneq ($(filter %-udeb,$(binaries)),)
+	CFLAGS='$(CFLAGS) -static-libgcc' \
+	CXXFLAGS='$(CXXFLAGS) -static-libgcc -static-libstdc++' \
 	dh_auto_configure --builddirectory=build-udeb -- $(CONFFLAGS_udeb)
 endif
 
@@ -74,4 +80,4 @@
 	dh_install --remaining-packages --sourcedir=debian/tmp/deb
 
 override_dh_missing:
-	dh_missing --fail-missing
+	dh_missing --list-missing

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\///g \
  https://gitlab.gnome.org/GNOME/vte/tags?sort=updated_desc .*/archive/(\d+\.\d*[02468]\.\S+)/vte-\1\.tar\.gz

## vte2.91 0.64.2

=== debian/changelog ===
vte2.91 (0.64.2-1ubuntu1) impish; urgency=medium

  * Merge with debian experimental. Remaining changes:
    - Add 91_keep_fds.patch since gdebi still requires it (LP: #1756238)
    - Breaks/Replaces with libvte-2.91-0 (<= 0.60.0-2ubuntu1)
    - Ubuntu gbp.conf and debian/control VCS information
  * Refresh 91_keep_fds.patch

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sun, 27 Jun 2021 03:32:52 +0200

vte2.91 (0.64.2-1) experimental; urgency=medium

  * d/gbp.conf: Back to upstream/latest
  * New upstream release
  * Bump to debhelper-compat 13
  * d/libvte-2.91-dev.install:
    - Install glade/catalogs/vte-2.91.xml
  * d/libvte-2.91-common.install:
    - Install glade/pixmaps/hicolor/*/actions/widget-vte-terminal.png
  * d/libvte-2.91-0.symbols: Add new symbols
  * Refresh patch

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Sun, 27 Jun 2021 01:28:22 +0200

vte2.91 (0.62.3-1ubuntu1) hirsute; urgency=medium

  * Merge with debian. Remaining changes:
    - Add 91_keep_fds.patch since gdebi still requires it (LP: #1756238)
    - Breaks/Replaces with libvte-2.91-0 (<= 0.60.0-2ubuntu1)
    - Ubuntu gbp.conf and debian/control VCS information

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Tue, 23 Feb 2021 23:13:49 +0100

vte2.91 (0.62.2-1ubuntu2) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:36:34 +0100

vte2.91 (0.62.2-1ubuntu1) hirsute; urgency=medium

  * Merge with debian. Remaining changes:
    - Add 91_keep_fds.patch since gdebi still requires it (LP: #1756238)
    - Breaks/Replaces with libvte-2.91-0 (<= 0.60.0-2ubuntu1)
    - Ubuntu gbp.conf and debian/control VCS informations

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 15 Feb 2021 21:54:31 +0100

vte2.91 (0.62.1-1ubuntu1) hirsute; urgency=medium

  [ Gunnar Hjalmarsson ]
  * Merge with debian. Remaining changes:
    - Add 91_keep_fds.patch since gdebi still requires it (LP: #1756238)
    - 0001-Add-the-style-context-provider-with-FALLBACK-priorit.patch:
      + Keep as it is required for the Ubuntu theming
    - Breaks/Replaces with libvte-2.91-0 (<= 0.60.0-2ubuntu1)
    - Ubuntu gbp.conf and debian/control VCS informations

  [ Iain Lane ]
  * Drop 0001-Add-the-style-context-provider-with-FALLBACK-priorit.patch and
    add Allow-background-color-and-color-on-VteTerminal-widgets-t.patch.
    There was a fallback style provider added upstream in 0.62.1. Adjust our
    previous approach to apply to this fallback provider instead of adding our
    own new one.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Fri, 06 Nov 2020 13:39:06 +0000

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 Source: vte2.91
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                dh-sequence-gir,
                gettext,
@@ -18,6 +19,7 @@
                libgtk-3-dev (>= 3.24.22),
                libpango1.0-dev (>= 1.22.0),
                libpcre2-dev (>= 10.21),
+               libsystemd-dev (>= 220) [linux-any],
                libxml2-utils,
                meson (>= 0.50.0),
                valac (>= 0.31.1)
@@ -26,13 +28,17 @@
                      libglib2.0-doc <!nodoc>,
                      libgtk-3-doc <!nodoc>
 Standards-Version: 4.5.1
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/vte2.91.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/vte2.91
 Vcs-Browser: https://salsa.debian.org/gnome-team/vte2.91
 Vcs-Git: https://salsa.debian.org/gnome-team/vte2.91.git
 Homepage: https://wiki.gnome.org/Apps/Terminal/VTE
 
 Package: libvte-2.91-0
 Architecture: any
-Depends: libvte-2.91-common
+Depends: libvte-2.91-common (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Multi-Arch: same
 Description: Terminal emulator widget for GTK+ 3.0 - runtime files
  The VTE library provides a terminal emulator widget VteTerminal for
@@ -101,6 +107,8 @@
 Package: libvte-2.91-common
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Replaces: libvte-2.91-0 (<= 0.60.0-2ubuntu1)
+Breaks: libvte-2.91-0 (<= 0.60.0-2ubuntu1)
 Multi-Arch: foreign
 Description: Terminal emulator widget for GTK+ 3.0 - common files
  The VTE library provides a terminal emulator widget VteTerminal for

## vte2.91 0.66.1

=== meson_options.txt ===
--- 
+++ 
@@ -1,14 +1,14 @@
 # Copyright © 2018, 2019 Iñigo Martínez
 #
-# This library is free software; you can redistribute it and/or modify it
-# under the terms of the GNU Lesser General Public License as published by
-# the Free Software Foundation; either version 3 of the License, or (at your
-# option) any later version.
+# This library is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Lesser General Public License as published
+# by the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
 #
-# This library is distributed in the hope that it will be useful, but
-# WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser
-# General Public License for more details.
+# This library is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU Lesser General Public License for more details.
 #
 # You should have received a copy of the GNU Lesser General Public License
 # along with this library.  If not, see <https://www.gnu.org/licenses/>.
@@ -58,6 +58,13 @@
 )
 
 option(
+  'glade',
+  type: 'boolean',
+  value : true,
+  description: 'Install a glade catalogue file'
+)
+
+option(
   'gnutls',
   type: 'boolean',
   value: true,

=== debian/changelog ===
vte2.91 (0.66.1-1.0nosystemd2) nosystemd; urgency=medium

  * fix dependency on libsystemd when opening apps

 -- anticapitalista <antix@operamail.com>  Thu, 18 Nov 2021 09:50:27 -0500

vte2.91 (0.66.1-1.0nosystemd1) nosystemd; urgency=medium

  * remove hard dependency on libsystemd0/libelogind0 

 -- anticapitalista <antix@operamail.com>  Sun, 14 Nov 2021 09:10:04 -0500

vte2.91 (0.66.1-1) unstable; urgency=medium

  * New upstream release
  * Dropped patches from 0.64.2-3 (applied upstream)
  * debian/libvte-2.91-0.symbols: New symbols added
  * d/p/Allow-background-color-and-color-on-VteTerminal-widgets-t.patch:
    - Refreshed
  * Bump Standards-Version to 4.6.0

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Mon, 08 Nov 2021 06:29:40 +0100

vte2.91 (0.64.2-3) unstable; urgency=medium

  * Team upload
  * d/patches: Update to 0.64.2-5-g2ea994e22
    - d/p/lib-Fix-switching-encodings.patch:
      Fix ability to switch between encodings in gnome-terminal
    - d/p/build-Fix-build-on-non-linux-systems.patch:
      Fix build on non-Linux kernels
    - d/p/fonts-More-metrics-sanity-checks.patch:
      Avoid descenders getting cut off (Closes: #994417)
    - d/p/emulation-Fix-xterm-window-size-request-response.patch:
      Don't swap width and height when responding to an xterm window
      size request

 -- Simon McVittie <smcv@debian.org>  Thu, 16 Sep 2021 10:31:33 +0100

vte2.91 (0.64.2-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 21 Aug 2021 08:06:22 -0400

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Source: vte2.91
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Gunnar Hjalmarsson <gunnarhj@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                dh-sequence-gir,
@@ -19,7 +18,6 @@
                libgtk-3-dev (>= 3.24.22),
                libpango1.0-dev (>= 1.22.0),
                libpcre2-dev (>= 10.21),
-               libsystemd-dev (>= 220) [linux-any],
                libxml2-utils,
                meson (>= 0.50.0),
                valac (>= 0.31.1)
@@ -27,18 +25,14 @@
 Build-Depends-Indep: libatk1.0-doc <!nodoc>,
                      libglib2.0-doc <!nodoc>,
                      libgtk-3-doc <!nodoc>
-Standards-Version: 4.5.1
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/vte2.91.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/vte2.91
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/vte2.91
 Vcs-Git: https://salsa.debian.org/gnome-team/vte2.91.git
 Homepage: https://wiki.gnome.org/Apps/Terminal/VTE
 
 Package: libvte-2.91-0
 Architecture: any
-Depends: libvte-2.91-common (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: libvte-2.91-common
 Multi-Arch: same
 Description: Terminal emulator widget for GTK+ 3.0 - runtime files
  The VTE library provides a terminal emulator widget VteTerminal for
@@ -107,8 +101,6 @@
 Package: libvte-2.91-common
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Replaces: libvte-2.91-0 (<= 0.60.0-2ubuntu1)
-Breaks: libvte-2.91-0 (<= 0.60.0-2ubuntu1)
 Multi-Arch: foreign
 Description: Terminal emulator widget for GTK+ 3.0 - common files
  The VTE library provides a terminal emulator widget VteTerminal for

## vte2.91 0.66.2

=== debian/changelog ===
vte2.91 (0.66.2-1.0nosystemd1) nosystemd; urgency=medium

  * remove hard dependency on libsystemd0/libelogind0 

 -- anticapitalista <antix@operamail.com>  Wed, 08 Dec 2021 21:07:39 +0200

vte2.91 (0.66.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 07 Dec 2021 18:54:52 -0500

## vte2.91 0.67.90

=== debian/changelog ===
vte2.91 (0.67.90-2.0nosystemd1) nosystemd; urgency=medium

  * remove hard dependency on libsystemd0/libelogind0  

 -- anticapitalista <antix@operamail.com>  Tue, 22 Feb 2022 12:07:41 +0200

vte2.91 (0.67.90-2) unstable; urgency=medium

  [ Arnaud Ferraris ]
  * New upstream release
  * d/libvte-2.91-0.symbols: Add new symbols

  [ Jeremy Bicha ]
  * debian/copyright: Drop LGPL-2+/GPL-2+. The upstream maintainer
    has used the option to explicitly relicense to LGPL-3+/GPL-3+.

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Mon, 21 Feb 2022 15:07:23 -0500

## vte2.91 0.68.0

=== debian/changelog ===
vte2.91 (0.68.0-1ubuntu0.1) jammy-security; urgency=medium

  * SECURITY UPDATE: DoS via window resize escape sequences
    - debian/patches/CVE-2024-37535-1.patch: Restrict resize request to
      sane numbers in src/vteseq.cc.
    - debian/patches/CVE-2024-37535-2.patch: add safety limit to widget
      size requests in src/vtegtk.cc.
    - CVE-2024-37535

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 12 Jun 2024 10:30:18 -0400

vte2.91 (0.68.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 28 Mar 2022 08:37:19 -0400

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: vte2.91
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Gunnar Hjalmarsson <gunnarhj@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Gunnar Hjalmarsson <gunnarhj@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                dh-sequence-gir,
@@ -18,6 +19,7 @@
                libgtk-3-dev (>= 3.24.22),
                libpango1.0-dev (>= 1.22.0),
                libpcre2-dev (>= 10.21),
+               libsystemd-dev (>= 220) [linux-any],
                libxml2-utils,
                meson (>= 0.50.0),
                valac (>= 0.31.1)
@@ -32,7 +34,9 @@
 
 Package: libvte-2.91-0
 Architecture: any
-Depends: libvte-2.91-common
+Depends: libvte-2.91-common (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Multi-Arch: same
 Description: Terminal emulator widget for GTK+ 3.0 - runtime files
  The VTE library provides a terminal emulator widget VteTerminal for

=== debian/rules ===
--- 
+++ 
@@ -14,9 +14,7 @@
 CONFFLAGS_deb = \
 	-Ddocs=true \
 	-Dgir=true \
-	-Dgnutls=true \
-        -D_systemd=false
-
+	-Dgnutls=true
 
 CONFFLAGS_udeb = \
 	-Ddocs=false \
@@ -78,6 +76,3 @@
 	dh_install -p$(UDEB_PKG) --sourcedir=debian/tmp/udeb
 endif
 	dh_install --remaining-packages --sourcedir=debian/tmp/deb
-
-override_dh_missing:
-	dh_missing --list-missing

## vte2.91 0.69.92

=== debian/changelog ===
vte2.91 (0.69.92-1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Tue, 09 Aug 2022 15:40:25 +0300

vte2.91 (0.69.92-1) unstable; urgency=medium

  * New upstream release (Closes: #1016640)
  * Drop cherry-picked patches
  * Refresh remaining patch
  * debian/*symbols: Drop symbols from the previous alpha release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 08 Aug 2022 09:33:05 -0400

vte2.91 (0.69.90-2) unstable; urgency=medium

  * Rebuild after NEW acceptance

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 03 Aug 2022 14:01:58 -0400

vte2.91 (0.69.90-1) unstable; urgency=medium

  * New upstream release
  * Build gtk4 library (Closes: #1013950)
  * Update symbols files
  * debian/control.in: Build-Depend on gi-docgen instead of gtk-doc-tools
  * Refresh patch
  * Add patch to fix toml install location
  * Cherry-pick gtk4 related fixes since last release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 29 Jul 2022 17:18:37 -0400

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,20 @@
 Source: vte2.91
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Gunnar Hjalmarsson <gunnarhj@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                dh-sequence-gir,
                gettext,
-               gtk-doc-tools,
+               gi-docgen,
                libgirepository1.0-dev (>= 0.9.12),
                libglib2.0-dev (>= 2.52.0),
                libgnutls28-dev (>= 3.2.7),
                libgtk-3-dev (>= 3.24.22),
+               libgtk-4-dev,
                libpango1.0-dev (>= 1.22.0),
                libpcre2-dev (>= 10.21),
-               libsystemd-dev (>= 220) [linux-any],
                libxml2-utils,
                meson (>= 0.50.0),
                valac (>= 0.31.1)
@@ -34,9 +33,7 @@
 
 Package: libvte-2.91-0
 Architecture: any
-Depends: libvte-2.91-common (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: libvte-2.91-common
 Multi-Arch: same
 Description: Terminal emulator widget for GTK+ 3.0 - runtime files
  The VTE library provides a terminal emulator widget VteTerminal for
@@ -63,6 +60,21 @@
  This package contains the minimal runtime library for GTK+ 3.0 needed
  by the Debian installer.
 
+Package: libvte-2.91-gtk4-0
+Architecture: any
+Depends: libvte-2.91-common (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Multi-Arch: same
+Description: Terminal emulator widget for GTK 4 - runtime files
+ The VTE library provides a terminal emulator widget VteTerminal for
+ applications using the GTK toolkit. It also provides the VtePTY object
+ containing functions for starting a new process on a new
+ pseudo-terminal and for manipulating pseudo-terminals.
+ .
+ This package contains the runtime library, needed by programs using the
+ VTE widget with GTK 4.
+
 Package: gir1.2-vte-2.91
 Architecture: any
 Section: introspection
@@ -75,6 +87,19 @@
  .
  It can be used by interpreters understanding the GIRepository format to
  write programs using the VTE widget for GTK+ 3.0.
+
+Package: gir1.2-vte-3.91
+Architecture: any
+Section: introspection
+Depends: ${gir:Depends},
+         ${misc:Depends}
+Multi-Arch: same
+Description: GObject introspection data for the VTE library
+ This package contains introspection data for VTE, a terminal emulator
+ widget for GTK+.
+ .
+ It can be used by interpreters understanding the GIRepository format to
+ write programs using the VTE widget for GTK 4.
 
 Package: libvte-2.91-dev
 Architecture: any
@@ -101,6 +126,31 @@
  This package contains development files for the VTE library and its
  Python bindings. It is needed to develop and build programs using the
  VTE widget with GTK+ 3.0.
+
+Package: libvte-2.91-gtk4-dev
+Architecture: any
+Section: libdevel
+Depends: gir1.2-vte-3.91 (= ${binary:Version}),
+         libglib2.0-dev (>= 2.40.0),
+         libgnutls28-dev (>= 3.2.7),
+         libgtk-4-dev,
+         libpango1.0-dev (>= 1.22.0),
+         libpcre2-dev (>= 10.21),
+         libvte-2.91-gtk4-0 (= ${binary:Version}),
+         libvte-2.91-common,
+         zlib1g-dev,
+         ${misc:Depends}
+Recommends: libvte-2.91-doc
+Multi-Arch: same
+Description: Terminal emulator widget for GTK 4 - development files
+ The VTE library provides a terminal emulator widget VteTerminal for
+ applications using the GTK toolkit. It also provides the VtePTY object
+ containing functions for starting a new process on a new
+ pseudo-terminal and for manipulating pseudo-terminals.
+ .
+ This package contains development files for the VTE library and its
+ Python bindings. It is needed to develop and build programs using the
+ VTE widget with GTK 4.
 
 Package: libvte-2.91-common
 Architecture: any
@@ -129,3 +179,17 @@
  .
  This package contains documentation files for the VTE library for GTK+
  3.x.
+
+Package: libvte-2.91-gtk4-doc
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends: ${misc:Depends}
+Build-Profiles: <!nodoc>
+Description: Terminal emulator widget for GTK 4 - documentation
+ The VTE library provides a terminal emulator widget VteTerminal for
+ applications using the GTK toolkit. It also provides the VtePTY object
+ containing functions for starting a new process on a new
+ pseudo-terminal and for manipulating pseudo-terminals.
+ .
+ This package contains documentation files for the VTE library for GTK 4.

## vte2.91 0.69.99

=== debian/changelog ===
vte2.91 (0.69.99-1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Mon, 05 Sep 2022 19:21:08 +0300

vte2.91 (0.69.99-1) unstable; urgency=medium

  * New upstream release
  * Drop "open link" patch: applied in new release
  * Cherry-pick 2 patches to fix middle click paste for GNOME Console

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 04 Sep 2022 07:24:40 -0400

vte2.91 (0.69.92-2) unstable; urgency=high

  * Cherry-pick patch to fix opening links in GNOME Console

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 02 Sep 2022 15:54:14 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Gunnar Hjalmarsson <gunnarhj@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Gunnar Hjalmarsson <gunnarhj@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                dh-sequence-gir,

## vte2.91 0.70.0

=== debian/changelog ===
vte2.91 (0.70.0-1ubuntu1) kinetic; urgency=medium

  * Cherry-pick fix for GNOME Console 43 copying last line (Closes: #1017015)
    (LP: #2002926)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 15 Jan 2023 19:57:34 -0500

vte2.91 (0.70.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 18 Sep 2022 07:20:25 -0400

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: vte2.91
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Gunnar Hjalmarsson <gunnarhj@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Gunnar Hjalmarsson <gunnarhj@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                dh-sequence-gir,
@@ -19,6 +20,7 @@
                libgtk-4-dev,
                libpango1.0-dev (>= 1.22.0),
                libpcre2-dev (>= 10.21),
+               libsystemd-dev (>= 220) [linux-any],
                libxml2-utils,
                meson (>= 0.50.0),
                valac (>= 0.31.1)
@@ -33,7 +35,9 @@
 
 Package: libvte-2.91-0
 Architecture: any
-Depends: libvte-2.91-common
+Depends: libvte-2.91-common (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Multi-Arch: same
 Description: Terminal emulator widget for GTK+ 3.0 - runtime files
  The VTE library provides a terminal emulator widget VteTerminal for

## vte2.91 0.70.2

=== debian/changelog ===
vte2.91 (0.70.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Dec 2022 09:00:58 -0500

vte2.91 (0.70.1-1) unstable; urgency=medium

  * New upstream release
  * Drop gtk4 clipboard patches: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 04 Nov 2022 09:25:47 +0100

## vte2.91 0.70.3

=== debian/changelog ===
vte2.91 (0.70.3-1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Thu, 16 Feb 2023 00:47:30 +0200

vte2.91 (0.70.3-1) unstable; urgency=medium

  * New upstream release
  * Drop "last line" patch: applied in new release
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 15 Feb 2023 09:51:14 -0500

vte2.91 (0.70.2-2) unstable; urgency=high

  * Cherry-pick fix for GNOME Console 43 copying last line (Closes: #1017015)
    (LP: #2002926)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 15 Jan 2023 19:27:32 -0500

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Source: vte2.91
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Gunnar Hjalmarsson <gunnarhj@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                dh-sequence-gir,
@@ -20,7 +19,6 @@
                libgtk-4-dev,
                libpango1.0-dev (>= 1.22.0),
                libpcre2-dev (>= 10.21),
-               libsystemd-dev (>= 220) [linux-any],
                libxml2-utils,
                meson (>= 0.50.0),
                valac (>= 0.31.1)
@@ -28,16 +26,14 @@
 Build-Depends-Indep: libatk1.0-doc <!nodoc>,
                      libglib2.0-doc <!nodoc>,
                      libgtk-3-doc <!nodoc>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/vte2.91
 Vcs-Git: https://salsa.debian.org/gnome-team/vte2.91.git
 Homepage: https://wiki.gnome.org/Apps/Terminal/VTE
 
 Package: libvte-2.91-0
 Architecture: any
-Depends: libvte-2.91-common (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: libvte-2.91-common
 Multi-Arch: same
 Description: Terminal emulator widget for GTK+ 3.0 - runtime files
  The VTE library provides a terminal emulator widget VteTerminal for

## vte2.91 0.70.5

=== debian/changelog ===
vte2.91 (0.70.5-1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Tue, 30 May 2023 14:55:01 +0300

vte2.91 (0.70.5-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 29 May 2023 17:19:45 -0400
